export declare enum VersioningStrategy {
    QueryString = "QUERY_STRING",
    UrlPath = "URL_PATH",
    MediaType = "MEDIA_TYPE"
}
export declare type MediaTypeFormatterFn = (data: {
    apiVersion: string;
    mediaTypeKeyName: string;
    acceptHeader: string;
}) => string;
export interface IVersioningConfig {
    apiVersion: string;
    versioningStrategy: VersioningStrategy;
    mediaTypeKeyName: string;
    queryStringKeyName: string;
    mediaTypeFormatter?: MediaTypeFormatterFn;
}
export interface IWithVersioningConfig extends PickPartial<IVersioningConfig, 'mediaTypeKeyName' | 'queryStringKeyName'> {
}
export declare type PickPartial<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>> & Partial<Pick<T, K>>;
//# sourceMappingURL=types.d.ts.map